print("Loading RevoltTypreScripts.lua from Loyalty++ version "..GlobalParameters.Lpp_VERSION_MAJOR.."."..GlobalParameters.Lpp_VERSION_MINOR.."."..GlobalParameters.Lpp_VERSION_PATCH);


function LoyaltyRecover(playerid,pCityName , Cityloyalty)
    local pPlayer = Players[playerid]
    for _, pCity in pPlayer:GetCities():Members() do
          if pCity ~= nil and pCity:GetName() == pCityName then 
                if Cityloyalty == nil then
                    pCity:ChangeLoyalty(1000 )             -- loyalty to 1000
                else
                    pCity:ChangeLoyalty(1000 - Cityloyalty )             -- loyalty to 1000
                end
          end                   
    end     
end
LuaEvents.restoreLoyalty.Add( LoyaltyRecover )



function UnitwaterSpawn(playerid,x,y)
    local pPlayer = Players[playerid]
    local UnitType = GameInfo.Units["UNIT_QUADRIREME"].Index
    pPlayer:GetUnits():Create (UnitType, x, y)
end
LuaEvents.LittleRevoltwater.Add( UnitwaterSpawn )

function UnitSpawn(playerid,x,y)
    local pPlayer = Players[playerid]
    local UnitType = GameInfo.Units["UNIT_WARRIOR"].Index
    pPlayer:GetUnits():Create (UnitType, x, y)
end
LuaEvents.LittleRevolt.Add( UnitSpawn )




function FreeCity(CityName,player)                                                  -- City Become free city
  local pPlayer = Players[player] 
    for _, pCity in pPlayer:GetCities():Members() do
        local pCityName = pCity:GetName()
        if pCityName == CityName then
            pCity:ChangeLoyalty(- 2000)
        end
    end                                
end
LuaEvents.RevoltType1.Add( FreeCity )




function ChangePressureArea(CityName,player)
    local pPlayer = Players[player] 
    for _, pCity in pPlayer:GetCities():Members() do
        local pCityName = pCity:GetName()
        if pCityName == CityName then 
            for _, pCity2 in pPlayer:GetCities():Members() do
                local DistancebtweenCities = Map.GetPlotDistance(pCity:GetX(), pCity:GetY(), pCity2:GetX(), pCity2:GetY())
                if DistancebtweenCities < 10 and pCity ~= pCity2 then
                    local religionID = pCity:GetReligion():GetMajorityReligion()
                    pCity2:GetReligion():AddReligiousPressure("RUNBOY",religionID,300)
                end
            end    
        end
    end                                
end
LuaEvents.RevoltType2.Add(  ChangePressureArea  )








function changeGold(Amount,playerid)
 local   pPlayer = Players[playerid]
    pPlayer:GetTreasury():ChangeGoldBalance(Amount) 
    
end
LuaEvents.NoMoreTax.Add( changeGold )



function changeFaith(Amount,playerid)
   local   pPlayer = Players[playerid]
    pPlayer:GetReligion():ChangeFaithBalance(Amount)   
    
end
LuaEvents.NoMoreFaith.Add( changeFaith )



function changeScience(Amount,playerid)
     local   pPlayer = Players[playerid]
    pPlayer:GetTechs():ChangeCurrentResearchProgress(Amount)  
    
end
LuaEvents.NoMoreScience.Add( changeScience )



function changeCulture(Amount,playerid)
     local   pPlayer = Players[playerid]
    pPlayer:GetCulture():ChangeCurrentCulturalProgress(Amount)
end
LuaEvents.NoMoreCulture.Add( changeCulture )



